Bug 198468 - configurable delay for killproc()
Summary: configurable delay for killproc()
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Miloslav Trmač
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 184403
TreeView+ depends on / blocked
 
Reported: 2006-07-11 12:41 UTC by Joe Orton
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0303
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:29:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0303 normal SHIPPED_LIVE initscripts bug fix update 2007-05-01 17:26:29 UTC

Description Joe Orton 2006-07-11 12:41:31 UTC
+++ This bug was initially created as a clone of Bug #198429 +++

Description of problem:
I'll attach a patch which makes the delay between doing a SIGTERM and a SIGKILL
in killproc() configurable.

This can be used to fix a race condition in httpd shutdown.  The httpd parent
will SIGTERM then SIGKILL children at shutdown in a similar way to how
killproc() will SIGTERM and then SIGKILL the httpd parent.  But these two race
and sometimes the parent will get SIGKILLed before it manages to kill all its
children.  This can leave orphans.

So making the killproc() delay configurable means we can ensure that httpd
always wins this race and cleans up its children before the parent gets cleaned up.

See also bug 184403.

-- Additional comment from jorton@redhat.com on 2006-07-11 07:48 EST --
Created an attachment (id=132229)
killproc patch


-- Additional comment from jorton@redhat.com on 2006-07-11 07:51 EST --
Created an attachment (id=132230)
tab-fixed patch

replacement patch which uses tabs for whitespace

Comment 1 RHEL Product and Program Management 2006-08-18 15:12:37 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 David Lawrence 2006-09-06 03:24:00 UTC
adding qa_ack+ for 4.5

Comment 3 Bill Nottingham 2006-11-20 21:22:50 UTC
Added in CVS, will be in 7.93.26.EL-1 or later.

Comment 7 Red Hat Bugzilla 2007-05-01 17:29:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0303.html



Note You need to log in before you can comment on or make changes to this bug.